#
# uxyz8.rb
#   $Id: uxyz8.rb,v 1.2 2000/11/18 19:03:52 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include Math


ID0 = 19911201
ND = 180
RND = ND


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

uzfact(0.7)
uzlset('LOFFSET', true)
grfrm

grswnd(0.0, RND, 0.0, 100.0)
grsvpt(0.4, 0.9, 0.3, 0.8)
grstrn(1)
grstrf

ucxacl('B', ID0, ND)
ucxacl('T', ID0, ND)
uxsaxs('B')
uxaxdv('B', 10.0, 20.0)
uxsttl('B', 'DAY NUMBER', 0.0)

uyaxdv('L', 5.0, 10.0)
uyaxdv('R', 5.0, 10.0)
uysttl('L', 'CELSIUS SCALE', 0.0)

uysaxs('L')
uzrset('YOFFSET', 273.15)
uzrset('YFACT  ', 1.0)
uyaxdv('L', 5.0, 10.0)
uysttl('L', 'KELVIN SCALE', 0.0)

uysaxs('L')
uzrset('YOFFSET', 32.0)
uzrset('YFACT  ', 1.8)
uyaxdv('L', 10.0, 20.0)
uysttl('L', 'FAHRENHEIT SCALE', 0.0)

uxsttl('T', '(LOFFSET=.TRUE.)', 0.0)
uxmttl('T', 'UXSAXS/UYSAXS', 0.0)

grcls

